# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::ShaderNode::UniformInfo Struct Reference

ShaderNode's representation of a Uniform. More...

`#include <ShaderNode.hpp>`

List of all members.

## Public Member Functions

| UniformInfo (Uniform *unif=NULL, EInheritance inheritance=IN_Propagate)

## Public Attributes

ref< Uniform > | mUniform
EInheritance | mInheritance

## Detailed Description

ShaderNode's representation of a Uniform.

Definition at line 69 of file ShaderNode.hpp.

## Constructor & Destructor Documentation

vl::ShaderNode::UniformInfo::UniformInfo | ( | Uniform * | unif = `NULL`,
|  | EInheritance | inheritance = `IN_Propagate`
| ) |  | `[inline]`

Definition at line 71 of file ShaderNode.hpp.

## Member Data Documentation

ref<Uniform> vl::ShaderNode::UniformInfo::mUniform

Definition at line 73 of file ShaderNode.hpp.

EInheritance vl::ShaderNode::UniformInfo::mInheritance

Definition at line 74 of file ShaderNode.hpp.

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/ShaderNode.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.